Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoScript Class Reference
GoSdk/Tools

## Description

Represents a script tool.

Inheritance diagram for GoScript:

## Public Member Functions
kStatus | GoScript_AddOutput (GoScript tool, k32u id)
| Adds a script output. More...
kStatus | GoScript_Code (GoScript tool, kChar **code)
| Gets the code for the script. More...
GoScriptOutput | GoScript_OutputAt (GoScript tool, kSize index)
| Returns a handle to a script output at the given index. More...
kSize | GoScript_OutputCount (GoScript tool)
| Returns the count of script tool outputs. More...
kStatus | GoScript_RemoveOutput (GoScript tool, k32u id)
| Removes a script output with the specific ID. More...
kStatus | GoScript_SetCode (GoScript tool, kChar *code)
| Sets the code for the script. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

## Member Function Documentation

kStatus GoScript_AddOutput | ( | GoScript | tool,
|  | k32u | id
| ) |  |

Adds a script output.

Parameters

  tool | GoScript object.
  id | An ID(must not already be used by other measurements) of the script output to add.

Returns
  Operation status.

kStatus GoScript_Code | ( | GoScript | tool,
|  | kChar ** | code
| ) |  |

Gets the code for the script.

Parameters

  tool | GoScript object.
  code | Receives a null-terminated string containing the script code.

Returns
  Operation status.

GoScriptOutput GoScript_OutputAt | ( | GoScript | tool,
|  | kSize | index
| ) |  |

Returns a handle to a script output at the given index.

Parameters

  tool | GoScript object.
  index | The index with which to return a corresponding script output.

Returns
  A GoScriptOutput object or kNULL if the index is invalid.

kSize GoScript_OutputCount | ( | GoScript | tool | ) |

Returns the count of script tool outputs.

Parameters

  tool | GoScript object.

Returns
  Script output count.

kStatus GoScript_RemoveOutput | ( | GoScript | tool,
|  | k32u | id
| ) |  |

Removes a script output with the specific ID.

Parameters

  tool | GoScript object.
  id | An ID of the script output to remove.

Returns
  Operation status.

kStatus GoScript_SetCode | ( | GoScript | tool,
|  | kChar * | code
| ) |  |

Sets the code for the script.

Parameters

  tool | GoScript object.
  code | The code to set.

Returns
  Operation status.

GoMeasurement GoTool_FindMeasurementByType | ( | GoTool | tool,
|  | GoMeasurementType | type
| ) |  |
| inherited

Retrieves the first found instance of a measurement for a given enumeration type.

Parameters

  tool | GoTool object.
  type | A GoMeasurementType representing the measurement type to find in the given tool.

Returns
  A measurement object if one is found, otherwise kNULL.

GoMeasurement GoTool_MeasurementAt | ( | GoTool | tool,
|  | kSize | index
| ) |  |
| inherited

Retrieves the measurement at the given index.

Parameters

  tool | GoTool object.
  index | The index of the measurement.

Returns
  The measurement at the given index or kNULL if an invalid index is provided.

kSize GoTool_MeasurementCount | ( | GoTool | tool | ) |
| inherited

Returns the measurement count.

Parameters

  tool | GoTool object.

Returns
  The measurement count.

kStatus GoTool_Name | ( | GoTool | tool,
|  | kChar * | name,
|  | kSize | capacity
| ) |  |
| inherited

Retrieves the name of the tool.

Parameters

  tool | GoTool object.
  name | Receives the name of the tool.
  capacity | The maximum capacity of the name array.

Returns
  Operation status.

kStatus GoTool_SetName | ( | GoTool | tool,
|  | const kChar * | name
| ) |  |
| inherited

Sets the name of the tool.

Parameters

  tool | GoTool object.
  name | The name to be set for the tool.

Returns
  Operation status.

GoToolType GoTool_Type | ( | GoTool | tool | ) |
| inherited

Retrieves the tool type enumeration value of the tool.

Parameters

  tool | GoTool object.

Returns
  The tool type enumeration value.

The documentation for this class was generated from the following file:

- Tools/GoTools.h